<!DOCTYPE html>
<html lang="en">
<head>
  <%- include('../partials/head.ejs'); -%>
</head>
<body>
<%
var password = "";
var confirmPassword = "";
%>
<div class="container bg-3">
  <%- include('../partials/header.ejs'); -%>
  <div class="row main-container">
     <div class="text-right">
    <button class="btn add-btn" data-toggle="modal" data-target="#createClinic" ><i class="fa fa-folder"></i> Add Clinic</button>
  </div>
        <div class="row">
          <div class="col-sm-6 col-sm-offset-3">
            <div class="row">
              <div class="col-sm-12">
                <% if(error){ %>
                  <div class="alert alert-danger"><%= error %></div>
              <% } %>
              </div>
            </div>
          </div><!--/col-sm-6-->
        </div><!--/row-->
        <% if(clinics == "Clinics not found"){ %>
            <h4>Clinics not found.</h4>
        <% }else{
          let doctorsName = []
          let doctorsIDS = [] %>
        <div class="mt-2" style="background-color: rgb(255, 255, 255)">
          <div class="row">
            <div class="col">
              <div class="table-responsive mt-5">
                <table class="table table-bordered table-striped table-hover users-table mb-2">
                  <thead>
                    <tr>
                      <th>ID</th>
                      <th>Clinic Name</th>
                      <th>Location</th>
                      <th>Doctors</th>
                      <th class="no-sort">Actions</th>
                    </tr>
                  </thead>
                  <tbody>
                    <% clinics.forEach(function(clinic, clinicIndex){  %>
                    <tr>
                        <td><%= clinic.DRChronoID %></td>
                        <td><%= clinic.title %></td>
                        <td><%= clinic.address %></td>
                        <td><%= clinic.doctorsCount %></td>
                        <td>
                          <button class="btn clinicDetails"  data-id="<%= clinic._id %>"><i class="fa fa-eye"></i></button>
                          <button class="btn deletedClinic" data-id="<%= clinic._id %>"><i class="fa fa-trash"></i></button>
                        </td>
                    </tr>
                    <% }) %>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
    <% } %>
  </div>
</div>

<%- include('../partials/footer.ejs'); -%>
<script>
      $(document).ready(function() {
        $(".users-table").DataTable({
          "aaSorting": [],
          "columnDefs": [ {
            "targets": 'no-sort',
            "orderable": false,
          } ]
        });
        // Create form submit when click on button
        $('#createClinicButton').click(function() {
          $('#createClinic').submit()
        });
        // Delete doctor
        $(document).on('click', '.deletedClinic', function() {
          let clinicID = $(this).data('id')

          swal({
            title: "Are you sure?",
            text: "You want to delete Clinic",
            type: "warning",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            closeOnConfirm: false
          },
          function(){
            $.ajax({
                data:{clinicID:clinicID},
                url:"/clinics/delete",
                type: "DELETE",
                error: function(xhr) {
                },
                success: function(response) {
                    if(response.status == "error"){
                    }else{
                      swal({
                        title: "Deleted",
                        text: "",
                        type: "success",
                        confirmButtonText: "Okay"
                      },
                      function(){
                        location.reload()
                      });
                    }
                }
            });
          });
        });

        // Create form submit
        $('#createClinic').submit(function(e) {
            e.preventDefault();
            var title = $('#title').val();
            var address = $('#address').val();
            var DRChronoID = $('#DRChronoID').val();
            var contact = $('#contact').val();
            var contactEmail = $('#contactEmail').val();

            if(title == ""){
              $('.errorCreateClinic').show()
              $('.errorCreateClinic').html("Clinic name is required")
              setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000)
              return false
            }
            if(address == ""){
              $('.errorCreateClinic').show()
              $('.errorCreateClinic').html("Clinic address is required")
              setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000)
              return false
            }
            const re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            if(contactEmail != "" && !re.test(contactEmail)){
              $('.errorCreateClinic').show()
              $('.errorCreateClinic').html("Please enter a valid contact email.")
              setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000)
              return false
            }

            $(this).ajaxSubmit({
                url: "/clinics/create",
                type: "POST",
                data: {title:title, address:address, DRChronoID:DRChronoID, contact:contact, contactEmail:contactEmail},
                error: function(xhr) {
                  $('.errorCreateDoctor').show()
                  $('.errorCreateDoctor').html(xhr.responseJSON.message)
                  setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000);
                },
                success: function(response) {
                    if(response.status == "error"){
                      $('.errorCreateDoctor').show()
                      $('.errorCreateDoctor').html(response.message)
                      setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000);
                    }else{
                      $('.successCreateDoctor').show()
                      $('.successCreateDoctor').html(response.message)
                      setTimeout(function(){ location.reload() }, 1000);
                    }
                }
            });
            //Very important line, it disable the page refresh.
            return false;
        });

        $(document).on('click', '.clinicDetails', function() {
          let clinicID = $(this).data('id')
          url = '/clinics/details/'+clinicID
          window.location = url;
        })


      });
</script>

<!-- Create Modal -->
    <div class="modal fade" id="createClinic" role="dialog">
      <div class="modal-dialog">
                      <!-- Modal content-->
       <div class="modal-content">
         <div class="modal-header">
           <button type="button" class="close" data-dismiss="modal">&times;</button>
           <h4 class="modal-title">Create Clinic</h4>
         </div>
         <div class="modal-body">
           <div class="alert alert-success successCreateClinic" style="display:none"> </div>
           <div class="alert alert-danger errorCreateClinic" style="display:none"> </div>

           <form id="createClinic" action="/clinics/create" method="POST">
             <div class="form-group col-md-6">
                <label for="title">Clinic Name</label>
                <input type="text" class="input-lg form-control" name="title" id="title" placeholder="Clinic Name" >
              </div>
             <div class="form-group col-md-6">
                <label for="DRChronoID">DR Chrono ID</label>
                <input type="text" class="input-lg form-control" name="DRChronoID" id="DRChronoID" placeholder="DR Chrono ID" >
              </div>
             <div class="form-group col-md-6">
                <label for="contact">Contact #</label>
                <input type="text" class="input-lg form-control" name="contact" id="contact" placeholder="Contact" >
              </div>
             <div class="form-group col-md-6">
                <label for="contactEmail">Contact Email</label>
                <input type="text" class="input-lg form-control" name="contactEmail" id="contactEmail" placeholder="Contact Email" >
              </div>
              <div class="form-group col-md-12">
                <label for="address">Clinic Address</label>
                <textarea class="form-control" name="address" rows="5" id="address"></textarea>
              </div>
            </form>
         </div>
         <div class="clearfix"></div>
         <div class="modal-footer">
           <button  class="btn" id="createClinicButton">Create Clinic</button>
           <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
         </div>
       </div>

     </div>
   </div>
<!-- Create Modal -->
</body>
</html>
